Bug 624641 - Problems when compiling a package which uses boost::signals2
Problems when compiling a package which uses boost::signals2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
: Reopened
Depends On: 624937
Blocks: 623319
  Show dependency treegraph
 
Reported: 2010-08-17 06:38 EDT by Peng Wu
Modified: 2013-08-09 01:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 02:00:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a simple boost test file. (30 bytes, text/plain)
2010-08-17 06:38 EDT, Peng Wu
no flags Details
compile error log. (537 bytes, text/plain)
2010-08-17 06:39 EDT, Peng Wu
no flags Details

  None (edit)
Description Peng Wu 2010-08-17 06:38:13 EDT
Created attachment 439082 [details]
a simple boost test file.

Description of problem:
  I tried to rebuild ibus-pinyin package for Fedora 14 Alpha which uses boost::signals2, but it failed.

  Later I write a very simple test file which is copied from ibus-pinyin config.log, compiling use:
  $g++ -c boost_test.cpp
  And the test file content and compiling error log are attached.
  It still fails, but it compiles ok on Fedora 13.

Version-Release number of selected component (if applicable):
boost-devel-1.44.0-0.4.fc14.i686
Comment 1 Peng Wu 2010-08-17 06:39:23 EDT
Created attachment 439083 [details]
compile error log.
Comment 2 Petr Machata 2010-08-17 09:02:58 EDT
This was fixed between releases -0.5 and -0.6:
# echo '#include <boost/signals2.hpp>' | g++ -x c++ - -c
# rpm -q boost-devel
boost-devel-1.44.0-0.6.fc15.x86_64
Comment 3 Jens Petersen 2010-08-18 00:46:18 EDT
https://admin.fedoraproject.org/updates/boost-1.44.0-0.6.fc14 was unpushed
Comment 4 Peng Wu 2010-09-01 02:00:53 EDT
ibus-pinyin-1.3.10-1.fc14 got built on Fedora 14.
Close this bug.

Note You need to log in before you can comment on or make changes to this bug.